aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAllen Martin <amartin@nvidia.com>2012-08-15 11:38:53 +0000
committerAlbert ARIBAUD <albert.u.boot@aribaud.net>2012-10-04 14:18:54 +0200
commit2051ff3450113f4eb6aad250a9a3fc8c4af149dc (patch)
treee8beec65e642a9f8faa0a7f6bc84a4334dd260e1
parentfcfa696b3a354ab1e16601683c61f671487aded7 (diff)
tools, config.mk: add binutils-version
Modeled after gcc-version, add function to get binutils version. Signed-off-by: Allen Martin <amartin@nvidia.com> Acked-by: Wolfgang Denk <wd@denx.de>
-rw-r--r--config.mk1
-rwxr-xr-xtools/binutils-version.sh20
2 files changed, 21 insertions, 0 deletions
diff --git a/config.mk b/config.mk
index c3822a25c..51b47838c 100644
--- a/config.mk
+++ b/config.mk
@@ -128,6 +128,7 @@ endif
# cc-version
# Usage gcc-ver := $(call cc-version)
cc-version = $(shell $(SHELL) $(SRCTREE)/tools/gcc-version.sh $(CC))
+binutils-version = $(shell $(SHELL) $(SRCTREE)/tools/binutils-version.sh $(AS))
#
# Include the make variables (CC, etc...)
diff --git a/tools/binutils-version.sh b/tools/binutils-version.sh
new file mode 100755
index 000000000..d4d9eb436
--- /dev/null
+++ b/tools/binutils-version.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+#
+# binutils-version [-p] gas-command
+#
+# Prints the binutils version of `gas-command' in a canonical 4-digit form
+# such as `0222' for binutils 2.22
+#
+
+gas="$*"
+
+if [ ${#gas} -eq 0 ]; then
+ echo "Error: No assembler specified."
+ printf "Usage:\n\t$0 <gas-command>\n"
+ exit 1
+fi
+
+MAJOR=$($gas --version | head -1 | awk '{print $NF}' | cut -d . -f 1)
+MINOR=$($gas --version | head -1 | awk '{print $NF}' | cut -d . -f 2)
+
+printf "%02d%02d\\n" $MAJOR $MINOR